# \Thelia\Core\Template\Smarty\AssetsSmartyAssetsManager

## Summary

Methods
Properties
Constants
__construct()
computeAssetUrl()
processSmartyPluginCall()
No public properties found
ASSET_TYPE_AUTO
No protected methods found
No protected properties found
N/A
No private methods found
$assetic_manager
$web_root
$path_relative_to_web_root
N/A

File
  Core/Template/Smarty/Assets/SmartyAssetsManager.php
Package
  \Default
Class hierarchy
  \Thelia\Core\Template\Smarty\Assets\SmartyAssetsManager

## Tags

None found

## Constants

### ASSET_TYPE_AUTO

    ASSET_TYPE_AUTO

#

## Tags

None found

## Properties

### $assetic_manager

    $assetic_manager

#

## Tags

None found

### $web_root

    $web_root

#

## Tags

None found

### $path_relative_to_web_root

    $path_relative_to_web_root

#

## Tags

None found

## Methods

### __construct()

    __construct(string $web_root, string $path_relative_to_web_root)

Creates a new SmartyAssetsManager instance

#### Parameters

string | $web_root | the disk path to the web root
string | $path_relative_to_web_root | the path (relative to web root) where the assets will be generated

#

## Tags

None found

### computeAssetUrl()

    computeAssetUrl( $assetType,  $params, \Smarty_Internal_Template $template)

#### Parameters

| $assetType |
| $params |
\Smarty_Internal_Template | $template |

#

## Tags

None found

### processSmartyPluginCall()

    processSmartyPluginCall( $assetType,  $params,  $content, \Smarty_Internal_Template $template,  $repeat)

#### Parameters

| $assetType |
| $params |
| $content |
\Smarty_Internal_Template | $template |
| $repeat |

#

## Tags

None found

### SmartyAssetsManager.php